Summary: Ant build tool for java
Name: upenn-ant
Version: 1.8.1
Release: 2
License: Apache Software License
Group: Development/Build Tools
URL: http://ant.apache.org/
Source0: apache-ant-%{version}-bin.tar.gz
Source1: ant-profile
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       java-1.6.0-openjdk
BuildRequires:  coreutils
BuildRequires:  java-1.6.0-openjdk
BuildArch: noarch

%description
Ant is a platform-independent build tool for java. It's used by apache
jakarta and xml projects.

%prep
%setup -q -n apache-ant-%{version}

%build
echo 'nothing to build'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/var
cp -rp . $RPM_BUILD_ROOT/usr/local/var/apache-ant-1.8.1
ln -s apache-ant-1.8.1 $RPM_BUILD_ROOT/usr/local/var/ant
chmod -R g-s .

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/upenn-ant.sh
chmod +x $RPM_BUILD_ROOT/etc/profile.d/upenn-ant.sh

# Clean up unnecessary parts of the archive
(cd $RPM_BUILD_ROOT/usr/local/var/apache-ant-1.8.1/ && rm get-m2.xml KEYS LICENSE README NOTICE WHATSNEW fetch.xml INSTALL )


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir /usr/local/var/apache-ant-1.8.1
/usr/local/var/ant
/usr/local/var/apache-ant-1.8.1/*
/etc/profile.d/upenn-ant.sh


%changelog
* Fri Aug  6 2010 Jorj Bauer <jorj@isc.upenn.edu> - upenn-ant-2
- fixed export in ant profile.d script.
* Fri Aug  6 2010 Jorj Bauer <jorj@isc.upenn.edu> - upenn-ant-1
- Initial build.

